curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/onboarding/{run_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"checks": {},
"notes": "Two-person tent, green — replacement for damaged pole set.",
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": null,
"ok": null,
"message": null
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": []
}
},
"guide": {
"activation_ready": true,
"self_service_ready": true,
"publish_ready": true,
"test_run_passed": true,
"progress_percent": 8,
"next_step_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": [
{
"id": null,
"title": null,
"status": null,
"required": null,
"summary": null,
"details": null,
"action_label": null,
"suggested_tab": null
}
],
"value_plan": {
"summary": "Two-person tent, green — replacement for damaged pole set.",
"recommended_routing_mode": "string",
"recommended_routing_reason": "string",
"estimated_minutes_to_value": 49,
"initial_channels": [],
"automation_jobs": [],
"monetizable_outcomes": [],
"quickstart_actions": []
}
},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Get onboarding run
The onboarding run.
GET
/
v1
/
brands
/
{brand_id}
/
onboarding
/
{run_id}
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/onboarding/{run_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"checks": {},
"notes": "Two-person tent, green — replacement for damaged pole set.",
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": null,
"ok": null,
"message": null
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": []
}
},
"guide": {
"activation_ready": true,
"self_service_ready": true,
"publish_ready": true,
"test_run_passed": true,
"progress_percent": 8,
"next_step_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": [
{
"id": null,
"title": null,
"status": null,
"required": null,
"summary": null,
"details": null,
"action_label": null,
"suggested_tab": null
}
],
"value_plan": {
"summary": "Two-person tent, green — replacement for damaged pole set.",
"recommended_routing_mode": "string",
"recommended_routing_reason": "string",
"estimated_minutes_to_value": 49,
"initial_channels": [],
"automation_jobs": [],
"monetizable_outcomes": [],
"quickstart_actions": []
}
},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Path parameters
string (uuid)
required
string (string)
required
Response
object
string (uuid)
required
string (uuid)
required
string
required
object
required
string
object
object
Show guide
Show guide
boolean
required
boolean
required
boolean
required
boolean
required
integer
required
string
string
required
object[]
required
string (date-time)
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
200 | The onboarding run. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/onboarding/{run_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"checks": {},
"notes": "Two-person tent, green — replacement for damaged pole set.",
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": null,
"ok": null,
"message": null
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": []
}
},
"guide": {
"activation_ready": true,
"self_service_ready": true,
"publish_ready": true,
"test_run_passed": true,
"progress_percent": 8,
"next_step_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": [
{
"id": null,
"title": null,
"status": null,
"required": null,
"summary": null,
"details": null,
"action_label": null,
"suggested_tab": null
}
],
"value_plan": {
"summary": "Two-person tent, green — replacement for damaged pole set.",
"recommended_routing_mode": "string",
"recommended_routing_reason": "string",
"estimated_minutes_to_value": 49,
"initial_channels": [],
"automation_jobs": [],
"monetizable_outcomes": [],
"quickstart_actions": []
}
},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026